/*
 * Copyright (C) AC SOFTWARE SP. Z O.O
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef SRC_SUPLA_DEVICE_SUPLA_CA_CERT_H_
#define SRC_SUPLA_DEVICE_SUPLA_CA_CERT_H_

#ifdef ARDUINO
#include <Arduino.h>
#else
#define PROGMEM
#endif

// CA used for public Supla servers
const char suplaCACert[] PROGMEM = R"SUPLACERT(
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
)SUPLACERT";

// CA used for private Supla servers signed by Supla root CA
const char supla3rdCACert[] PROGMEM = R"SUPLACERT(
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
)SUPLACERT";

#endif  // SRC_SUPLA_DEVICE_SUPLA_CA_CERT_H_
